import {
  a as e,
  c as a
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/taggerscript.js
var c = a((r, n) => {
  function s(o) {
    return {
      name: "Tagger Script",
      contains: [
        {
          className: "comment",
          begin: /\$noop\(/,
          end: /\)/,
          contains: [{
            begin: /\(/,
            end: /\)/,
            contains: [
              "self",
              {
                begin: /\\./
              }
            ]
          }],
          relevance: 10
        },
        {
          className: "keyword",
          begin: /\$(?!noop)[a-zA-Z][_a-zA-Z0-9]*/,
          end: /\(/,
          excludeEnd: !0
        },
        {
          className: "variable",
          begin: /%[_a-zA-Z0-9:]*/,
          end: "%"
        },
        {
          className: "symbol",
          begin: /\\./
        }
      ]
    };
  }
  e(s, "taggerscript");
  n.exports = s;
});

export {
  c as a
};
